svn commit: samba r18251 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Fri Sep 8 04:54:30 GMT 2006


Author: tridge
Date: 2006-09-08 04:54:30 +0000 (Fri, 08 Sep 2006)
New Revision: 18251

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=18251

Log:

skip pidl tests unless the platform has Test::More

Modified:
   branches/SAMBA_4_0/source/script/tests/test_pidl.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/test_pidl.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_pidl.sh	2006-09-08 04:37:56 UTC (rev 18250)
+++ branches/SAMBA_4_0/source/script/tests/test_pidl.sh	2006-09-08 04:54:30 UTC (rev 18251)
@@ -9,8 +9,12 @@
 
 failed=0
 
-for f in pidl/tests/*.pl; do
-    testit "$f" $PERL $f || failed=`expr $failed + 1`
-done
+if $PERL -e 'eval require Test::More;' > /dev/null 2>&1; then
+  for f in pidl/tests/*.pl; do
+     testit "$f" $PERL $f || failed=`expr $failed + 1`
+  done
+else 
+   echo "Skipping pidl tests - Test::More not installed"
+fi
 
 testok $0 $failed



More information about the samba-cvs mailing list